# $Revision: 1.6 $, $Date: 2006/12/20 13:29:02 $
%define 	module	pyPgSQL

Summary:	Python DB-API 2.0 PostgreSQL module
Summary(pl):	Modu PostgreSQL dla Pythona zgodny z DB-API 2.0
Name:		python-%{module}
Version:	2.4
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pypgsql/%{module}-%{version}.tar.gz
# Source0-md5:	56d4003e5192de9a09de468a7641bd11
URL:		http://pypgsql.sourceforge.net/
BuildRequires:	postgresql-devel >= 7.0
BuildRequires:	python-devel >= 2.0
Requires:	postgresql-libs
%pyrequires_eq	python-modules
Requires:	python-mx-DateTime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyPgSQL is a package of two modules that provide a Python DB-API 2.0
compliant interface to PostgreSQL databases. The first module, libpq,
exports the PostgreSQL C API to Python. This module is written in C
and can be compiled into Python or can be dynamically loaded on
demand. The second module, PgSQL, provides the DB-API 2.0 compliant
interface and support for various PostgreSQL data types, such as INT8,
NUMERIC, MONEY, BOOL, ARRAYS, etc. This module is written in Python.

%description -l pl
pyPgSQL to pakiet dwch moduw dostarczajcych zgodny z Python DB-API
2.0 interfejs do baz danych PostgreSQL. Pierwszy modu, libpq,
eksportuje API C PostgreSQL-a do Pythona. Ten modu jest napisany w C
i moe by wkompilowany w Pythona lub adowany dynamicznie na
danie. Drugi modu, PgSQL, dostarcza zgodny z DB-API 2.0 interfejs
oraz wsparcie dla rnych typw danych PostgreSQL-a, takich jak INT8,
NUMERIC, MONEY, BOOL, ARRAYS itp. Ten modu jest napisany w Pythonie.

%prep
%setup -q -n pypgsql

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitedir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO examples/*.py
%dir %{py_sitedir}/%{module}
%dir %{py_sitedir}/%{module}/libpq
%{py_sitedir}/%{module}/*.py[co]
%{py_sitedir}/%{module}/libpq/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/libpq/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyPgSQL.spec,v $
Revision 1.6  2006/12/20 13:29:02  hawk
- release 3 to rebuild with PostgreSQL 8.2

Revision 1.5  2004/12/24 13:42:24  troll
- rel 2 to rebuild with Python 2.4

Revision 1.4  2004/07/12 23:04:06  troll
- fixed BRs
- s/python/%%{__python}/
- description cosmetics
- release 1

Revision 1.3  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.2  2004/03/12 18:27:49  qboosh
- pl, longer description from URL

Revision 1.1  2004/03/12 15:04:45  wrobell
- based on python-psycopg
